# docker-compose file for local development and testing with container image.
#
# Extends compose/base.yml so launch services via:
#
#   docker-compose -f compose/base.yml -f compose/tox.yml run --rm tox <...>
version: '3.2'
services:
  tox:
    # Tox uses the production Docker image for running tests.
    build:
      context: ..
      dockerfile: ./Dockerfile

    entrypoint: []

    command: ["tox"]

    env_file:
      - base.env
      - tox.env

    depends_on:
      - "wls2oauth2-db"

    # Mount the local directory inside the container as a volume to allow local
    # changes to be reflected without having to re-build the container.
    volumes:
      - type: bind
        source: ../
        target: /usr/src/app
        read_only: true
      - tox-data:/tmp/tox-data

volumes:
  # A persistent volume for tox to store its stuff. This allows caching of
  # virtualenvs between runs.
  tox-data:
